DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PathOpening

Morphological filter

## SYNOPSIS

`#include "dip_morphology.h"`

dip_Error PathOpening ( grey, mask, out, length, closing, constrained )

## DATA TYPES

binary, integer, float

## FUNCTION

This function applies `DirectedPathOpening` in all possible directions and takes the supremum of all results. That is, it is the supremum of all possible openings with approximately linear structuring elements of length `length`.

The number of times that `DirectedPathOpening` is applied is given by `((3^D)-1)/2`, with `D` the number of image dimensions. For example, in 2D there are 4 possible values for `filterParam`: `[length,0]`, `[0,length]`, `[length,length]` and `[length,-length]` (note that, for example, `[-length,0]` produces the same result as `[length,0]`).

See `DirectedPathOpening` for more information.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `grey` | Grey-value input image
`dip_Image` | `mask` | Mask image for ROI processing
`dip_Image` | `out` | Output image
`dip_int` | `length` | Length of structuring element (number of pixels)
`dip_Boolean` | `closing` | `DIP_FALSE` for path opening, `DIP_TRUE` for path closing
`dip_Boolean` | `constrained` | `DIP_TRUE` for constrained paths, `DIP_FALSE` for the original path opening algorithm

## SEE ALSO

`DirectedPathOpening`, `Opening`, `Closing`, `AreaOpening`

DIPlib on-line documentation | Function reference | Global function index